Skip to main content
POST
Archives an enum value and migrates all resource-attributes with that value to a replacement value.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

archivedEnumValueId
string
required

Body

application/json
replacementEnumValueId
string

When the archived_enum_value_id is archived all resource-attributes that reference it will be migrated to the replacement_enum_value_id if provided. Otherwise, resource-attributes that reference it will be archived as well.

Response

A successful response.

resourceAttributesMigrated
integer<int32>

Total number of resource-attributes migrated or archived by this operation. When a replacement enum value is provided, this represents attributes migrated to the new value. When no replacement is provided, this represents attributes that were archived.